<?php

class Film extends Eloquent {
	protected $table = "films";

	public function comments() {
		return $this->hasMany('Comment', 'film');
	}

	public function votes() {
		return $this->hasMany('Vote', 'film');
	}

	public function besitzer() {
		return $this->belongsTo('User', 'user');
	}

	public function scopeZuletztGesehen($query) {
		return $query->whereNotNull('gesehen')->orderBy('gesehen')->take(5);
	}

	public function scopeNeuesteVorschlage($query) {
		return $query->whereNull('gesehen')->orderBy('updated_at')->take(5);
	}
	
}